import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormGroupModalDemoComponent} from './form-group-modal-demo/form-group-modal-demo.component';
import {FormGroupModalDemoRoutingModule} from './form-group-modal-demo-routing.module'
import {ReactiveFormsModule} from '@angular/forms';
import {DataGridModule} from "@openharbor/ngx-data-cdk-ui";
import {CommandModule, ConfirmModalModule, FormGroupCommandModalModule} from "@openharbor/ngx-data-bootstrap-ui";
import { PaginationModule } from "@openharbor/ngx-data-bootstrap-ui";

@NgModule({
  declarations: [FormGroupModalDemoComponent],
  imports: [
    CommonModule,
    FormGroupModalDemoRoutingModule,
    DataGridModule,
    FormGroupCommandModalModule,
    ReactiveFormsModule,
    ConfirmModalModule,
    CommandModule,
    PaginationModule,
  ]
})
export class FormGroupModalDemoModule { }
