import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {GridFilterDemoRoutingModule} from './grid-filter-demo-routing.module';
import {GridFilterDemoComponent} from './grid-filter-demo/grid-filter-demo.component';
import {FormsModule} from '@angular/forms';
import {
  CommandModalModule,
  CommandModule,
  ConfirmModalModule,
  DataSourceFilterModule,
  DataSourceSortingModule,
  PaginationModule,
  SpinnerModule
} from "@openharbor/ngx-data-bootstrap-ui";
import {DataGridModule} from "@openharbor/ngx-data-cdk-ui";

@NgModule({
  declarations: [GridFilterDemoComponent],
  imports: [
    CommonModule,
    GridFilterDemoRoutingModule,
    DataSourceFilterModule,
    PaginationModule,
    DataGridModule,
    CommandModalModule,
    ConfirmModalModule,
    FormsModule,
    SpinnerModule,
    DataSourceSortingModule,
    CommandModule
  ]
})
export class GridFilterDemoModule { }
