import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {ListViewDemoRoutingModule} from './list-view-demo-routing.module';
import {ListViewDemoHomeComponent} from './list-view-demo-home/list-view-demo-home.component';
import {ReactiveFormsModule} from '@angular/forms';
import {DsPagerModule, DsSearchModule, ListViewModule} from "@openharbor/ngx-data-cdk-ui";
import {FormGroupCommandModalModule, PaginationModule} from "@openharbor/ngx-data-bootstrap-ui";


@NgModule({
  declarations: [ListViewDemoHomeComponent],
  imports: [
    CommonModule,
    ListViewDemoRoutingModule,
    ListViewModule,
    PaginationModule,
    ReactiveFormsModule,
    FormGroupCommandModalModule,
    DsSearchModule,
    DsPagerModule
  ]
})
export class ListViewDemoModule { }
