import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {CommandModalDemoComponent} from './command-modal-demo/command-modal-demo.component';
import {CommandModalDemoRoutingModule} from './command-modal-demo-routing.module';

import {FormsModule} from '@angular/forms';
import {DataGridModule, DsValidationErrorModule} from "@openharbor/ngx-data-cdk-ui";
import {CommandModalModule, CommandModule, ConfirmModalModule} from "@openharbor/ngx-data-bootstrap-ui";
import {PaginationModule} from "ngx-bootstrap/pagination";

@NgModule({
  declarations: [CommandModalDemoComponent],
  imports: [
    CommonModule,
    CommandModalDemoRoutingModule,
    DsValidationErrorModule,
    DataGridModule,
    CommandModalModule,
    FormsModule,
    PaginationModule,
    ConfirmModalModule,
    CommandModule,
    DataGridModule,
    CommandModalModule,
    CommandModule,
    DsValidationErrorModule
  ]
})
export class CommandModalDemoModule { }
