import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {DsCommandDemoRoutingModule} from './ds-command-demo-routing.module';
import {DsCommandDemoPageComponent} from './ds-command-demo-page/ds-command-demo-page.component';
import {FormsModule} from '@angular/forms';
import {DsCommandModule, DsValidationErrorModule, ViewModule} from "@openharbor/ngx-data-cdk-ui";


@NgModule({
  declarations: [DsCommandDemoPageComponent],
  imports: [
    CommonModule,
    DsCommandDemoRoutingModule,
    DsCommandModule,
    ViewModule,
    FormsModule,
    DsValidationErrorModule
  ]
})
export class DsCommandDemoModule { }
