import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {PaginationDemoRoutingModule} from './pagination-demo-routing.module';
import {PaginationDemoComponent} from './pagination-demo/pagination/pagination-demo.component';
import {FormsModule} from '@angular/forms';
import {
  CommandModalModule, CommandModule,
  ConfirmModalModule,
  PaginationModule,
  SpinnerModule
} from "@openharbor/ngx-data-bootstrap-ui";
import {DataGridModule} from "@openharbor/ngx-data-cdk-ui";


@NgModule({
  declarations: [PaginationDemoComponent],
  imports: [
    CommonModule,
    PaginationDemoRoutingModule,
    PaginationModule,
    DataGridModule,
    CommandModalModule,
    ConfirmModalModule,
    FormsModule,
    SpinnerModule,
    CommandModule
  ]
})
export class PaginationDemoModule { }
